Timekit developers

GET /bookings

Retrieve all bookings for the current user/resource.

The keys returned per booking is dependent on the graph and current state.

Endpoint

GET https://api.timekit.io/v2/bookings

Parameters

Name In Type Required Default Description
limit query int 1000 Pagination limit intervals (X means first X is returned)
page query int 1 Which pagination interval to retrieve (set limit for interval size)
search query string Add 1 of more search criteria to your query. Learn more.
include query string Available includes: customers, calendar, event, available_actions, attributes, logs, inputs

Request examples

http
GET https://api.timekit.io/v2/bookings?include=attributes,calendar,customers
curl
curl -X GET \
     -H 'Timekit-App: back-to-the-future' \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
  https://api.timekit.io/v2/bookings

Response examples

200

json
{
  "data": [
    {
      "id": "58190fc6-1ec0-4ebb-b627-7ce6aa9fc703",
      "state": "confirmed",
      "graph": "confirm_decline",
      "completed": true,
      "created_at": "2016-02-11T12:39:45+0100",
      "updated_at": "2016-02-11T13:12:01+0100",
      "available_actions": [],
      "attributes": {
        "event_info": {
          "start": "1955-11-12T21:30:00-07:00",
          "end": "1955-11-12T22:15:00-07:00",
          "what": "Catch the lightning",
          "where": "Courthouse, Hill Valley, CA 95420, USA",
          "description": "The lightning strikes at 10:04 PM exactly! I need you to be there Doc!"
        }
      },
      "calendar": {
        "id": "bfa0b9fa-36aa-4ae6-8096-f3b20fbed1d2",
        "name": "Important encounters with Marty",
        "display_name": "Important encounters with Marty",
        "description": "Througout time, Marty and I really need to meet in order for the world not to collapse into Biffy cazyness.",
        "foregroundcolor": "#000000",
        "backgroundcolor": "#FFFFFF",
        "created_at": "2016-02-15T13:21:42+0100",
        "updated_at": "2016-02-15T13:21:42+0100"
      },
      "customers": [
        {
          "id": "a728e860-99c7-4009-8843-7d9ac5d7f53f",
          "name": "Marty McFly",
          "email": "marty.mcfly@timekit.io",
          "phone": "(916) 555-4385",
          "voip": "McFly",
          "timezone": "America/Los_Angeles"
        }
      ]
    },
	  {
      "id": "f68979ff-27da-4afd-8d0c-847f9340331b",
      "state": "tentative",
      "graph": "confirm_decline",
      "completed": false,
      "created_at": "2016-02-11T12:39:45+0100",
      "updated_at": "2016-02-11T13:12:01+0100",
      "available_actions": [
      	"confirm",
        "decline"
      ],
      "attributes": {
        "event_info": {
          "start": "1955-11-05T09:30:00-07:00",
          "end": "1955-11-05T09:45:00-07:00",
          "what": "Deliver the Pacard to the auto shop",
          "where": "Western Auto Store, Hill Valley, CA 95420, USA",
          "description": "The clutch needs tightening"
        }
      },
      "calendar": {
        "id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
        "name": "My personal calendar",
        "display_name": "My personal calendar",
        "description": "Notes to self, so I don't remember to to them.",
        "foregroundcolor": "#25d6be",
        "backgroundcolor": "#ea1cb8",
        "created_at": "2016-02-15T13:21:42+0100",
        "updated_at": "2016-02-15T13:21:42+0100"
      },
      "customers": [
        {
          "id": "78a4d873-2a68-41c6-bdd4-c0ca5b35efd3",
          "name": "Dr. Emmett Brown",
          "email": "doc.brown@timekit.io",
          "phone": "(916) 555-4385",
          "voip": "DocBrown",
          "timezone": "America/Los_Angeles"
        }
      ]
    }
  ]
}